# Type alias ContractUpgradeStructOutput

ContractUpgradeStructOutput: [module: string, action: bigint, chain: bigint, newContract: string] & {
action: bigint;
chain: bigint;
module: string;
newContract: string;
}

#### Type declaration

- ##### action: bigint

- ##### chain: bigint

- ##### module: string

- ##### newContract: string

- Defined in ethers-contracts/Implementation.ts:100

Generated using TypeDoc